package com.isu.gaswellwatch.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@JsonSerialize(include=JsonSerialize.Inclusion.NON_NULL)
public class Dictionary extends Model<Dictionary> {

    private Long id;
    //字典数据类型
    @NotBlank(message = "类型不能为空")
    private String type;
    //字典编码
    @NotBlank(message = "编码不能为空")
    private String code;
    //字典数据中文名称
    @NotBlank(message = "名称不能为空")
    private String name;
    //字典数据值
    @NotBlank(message = "值不能为空")
    private String value;
    //字典数据排序
    @NotNull(message = "排序字段不能为空")
    private Integer sort;
    //创建时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;
    //更新时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;


}

