package com.isu.gaswellwatch.vo;
import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;


@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class UserOperationRecordExportVO {


    /**
     * 日志类型
     */
    @ExcelIgnore
    private Integer type;
    /**
     * 日志类型
     */
    @ExcelProperty("日志类型")
    private String typeDesc;



    /**
     * 用户名
     */
    @ExcelProperty("账号")
    private String username;
    /**
     * 用户姓名
     */
    @ExcelProperty("使用者")
    private String nickname;

    /**
     * 请求地址
     */
    @ExcelProperty("调用地址")
    private String uri;

    /**
     * 菜单
     */
    @ExcelProperty("调用菜单")
    private String menu;

    /**
     * 请求参数
     */
    @ExcelProperty("请求参数")
    private String request;

    /**
     * 请求类型
     */
    @ExcelProperty("请求类型")
    private String requestType;

    /**
     * 请求结果
     */
    @ExcelIgnore
    private Integer result;
    /**
     * 请求结果
     */
    @ExcelProperty("调用结果")
    private String resultDesc;

    /**
     * 登录ip
     */
    @ExcelProperty("调用ip")
    private String ip;

    /**
     * 日志标题
     */
    @ExcelProperty("接口信息")
    private String name;


    /**
     * 错误消息
     */
    @ExcelProperty("错误信息")
    private String errorMsg;

    /**
     * 创建时间
     */
    @ExcelProperty("操作时间")
    private String createTime;

    /**
     * 请求时间
     */
    @ExcelProperty("请求时间(毫秒)")
    private long costTime;


}
